curl "https://api.scanova.io/custom-domain/templates/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": 3,
"template_id": "tpl-001",
"template_name": "Coming Soon",
"template_description": "A simple coming-soon landing page."
}
]
}
自定义域名
列出自定义域名根页面模板
GET /custom-domain/templates/
GET
/
custom-domain
/
templates
/
curl "https://api.scanova.io/custom-domain/templates/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": 3,
"template_id": "tpl-001",
"template_name": "Coming Soon",
"template_description": "A simple coming-soon landing page."
}
]
}
在 Management API 主机(
当某个域名的
api.scanova.io)上列出账户可用于自定义域名根页面的模板,使用您的原始 Management API 密钥进行身份验证。
GET https://api.scanova.io/custom-domain/templates/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
curl "https://api.scanova.io/custom-domain/templates/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": 3,
"template_id": "tpl-001",
"template_name": "Coming Soon",
"template_description": "A simple coming-soon landing page."
}
]
}
root_action 为 custom_page 时,模板的 id 就是您赋给该域名 template 字段的值——参见更新自定义域名。
相关内容
- 更新自定义域名——将某个模板指定为该域名的根页面。
- Management API 概览——适用于此端点的身份验证方案和配额规则。
授权
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
响应
200 - application/json
Paginated list of templates.
此页面对您有帮助吗?